Package org.apache.sling.commons.log.logback.internal.stacktrace

# Class OSGiAwareExceptionHandling

java.lang.Object
ch.qos.logback.classic.pattern.EnsureExceptionHandling
org.apache.sling.commons.log.logback.internal.stacktrace.OSGiAwareExceptionHandling

All Implemented Interfaces:
  `ch.qos.logback.core.pattern.PostCompileProcessor<ch.qos.logback.classic.spi.ILoggingEvent>`

public class OSGiAwareExceptionHandling extends ch.qos.logback.classic.pattern.EnsureExceptionHandling
Extend EnsureExceptionHandling to add extra OSGi bundle info to the lines in the stack trace output

## Constructor Summary

Constructors
Constructor
Description
`OSGiAwareExceptionHandling(PackageInfoCollector collector)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`process(ch.qos.logback.core.Context context, ch.qos.logback.core.pattern.Converter<ch.qos.logback.classic.spi.ILoggingEvent> head)`

### Methods inherited from class ch.qos.logback.classic.pattern.EnsureExceptionHandling

`chainHandlesThrowable, compositeHandlesThrowable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSGiAwareExceptionHandling

public OSGiAwareExceptionHandling(PackageInfoCollector collector)
Constructor

Parameters:
  `collector` - the package information collecgtor

## Method Details

### process

public void process(ch.qos.logback.core.Context context, ch.qos.logback.core.pattern.Converter<ch.qos.logback.classic.spi.ILoggingEvent> head)

Specified by:
  `process` in interface `ch.qos.logback.core.pattern.PostCompileProcessor<ch.qos.logback.classic.spi.ILoggingEvent>`
Overrides:
  `process` in class `ch.qos.logback.classic.pattern.EnsureExceptionHandling`